/** CSS
 @css:      Home (index)
 @org:      HeartMath Institute
 @org uri:  heartmath.org
*/

/** CSS INDEX
 01. GLOBAL
 02. TIER
 03. @MEDIA
*/


/* TIER
======================================== */
/* #sec-mission */
body.page-is-home #sec-mission > .wp-block-group.app-pattern::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1280px;
  max-width: 100%;
  transform: translateX(-50%);  /* Perfect center */
  background:
    linear-gradient(rgba(248,248,248,0.8), rgba(248,248,248,0.8)),
    url(/assets/uploads/site/image/26/01/bg-style-01.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

/* #sec-solution */
body.page-is-home #sec-solution > .wp-block-group.app-pattern::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1280px;
  max-width: 100%;
  transform: translateX(-50%);  /* Perfect center */
  background:
    linear-gradient(to top, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 50%),
    linear-gradient(rgba(248,248,248,0.7), rgba(248,248,248,0.7)),
    url(/assets/uploads/site/image/26/01/bg-style-02.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

/* #sec-resources */
body.page-is-home #sec-resources > .wp-block-group.app-pattern::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1280px;
  max-width: 100%;
  transform: translateX(-50%);
  background:
    linear-gradient(to top, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 50%),
    linear-gradient(rgba(248,248,248,0.3), rgba(248,248,248,0.3)),
    url(/assets/uploads/site/image/26/01/bg-style-03.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

/* #sec-global */
body.page-is-home #sec-global > .wp-block-group.app-pattern::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1280px;
  max-width: 100%;
  transform: translateX(-50%);
  background:
    linear-gradient(to top, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 50%),
    linear-gradient(rgba(248,248,248,0.8), rgba(248,248,248,0.8)),
    url(/assets/uploads/site/image/26/01/bg-style-04.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

/* #sec-org */
body.page-is-home #sec-org > .wp-block-group.app-pattern::before {
  content: '';
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 1280px;
  max-width: 100%;
  transform: translateX(-50%);
  background:
    linear-gradient(to top, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 50%),
    linear-gradient(rgba(255,255,255,0.8), rgba(255,255,255,0.8)),
    url(/assets/uploads/site/image/26/01/woman-serene.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  z-index: -1;
}

/* @media - #sec-org */
@media (max-width: 767px) {
  body.page-is-home #sec-org > .wp-block-group.app-pattern::before {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 1280px;
    max-width: 100%;
    transform: translateX(-50%);
    background:
      linear-gradient(to top, rgba(255,255,255,0.9) 0%, rgba(255,255,255,0) 50%),
      linear-gradient(rgba(255,255,255,0.8), rgba(255,255,255,0.8)),
      url(/assets/uploads/site/image/26/01/woman-serene.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center, center, left -150px top;
    z-index: -1;
  }
}

/* #sec-donate */
body.page-is-home #sec-donate #sec-donate-group-donate .wp-block-column {
  position: relative;
  text-align: center;
}

body.page-is-home #sec-donate #sec-donate-group-donate .wp-block-column::before {
  content: '';
  position: absolute;
  display: block;
  top: -25px;
  left: 50%;
  margin-left: -30px;
  width: 60px;
  height: 60px;
  background-image: url('/assets/themes/heartmath/assets/pub/icon/01/svg/heart.svg');
  background-size: contain;
  background-repeat: no-repeat;
}

body.page-is-home #sec-donate #sec-donate-group-donate .wp-block-column:nth-of-type(3):before {
  background-image: url('/assets/themes/heartmath/assets/pub/icon/01/svg/arrow-right.svg');
}

/* @media - #sec-donate */
@media (max-width: 991px) {
 body.page-is-home #sec-donate #sec-donate-group-donate .wp-block-column {
   margin-bottom: 54px !important;
 }

 body.page-is-home #sec-donate #sec-donate-group-donate .wp-block-column:last-of-type {
   margin-bottom: 0 !important;
 }
}






/* @MEDIA - Pattern (custom)
======================================== */
@media (max-width: 576px) {
  /* Pattern - pattern-hm-bg-text */
  body.page-is-home .pattern-hm-bg-text.app-pattern-sec-page-home-index-explore,
  body.page-is-home .pattern-hm-bg-text.app-pattern-sec-page-home-index-explore .wp-block-image,
  body.page-is-home .pattern-hm-bg-text.app-pattern-sec-page-home-index-explore .wp-block-image img {
    min-height: 350px !important;
  }

  body.page-is-home .pattern-hm-bg-text.app-pattern-sec-page-home-index-explore .wp-block-image img {
    width: auto !important;
    height: 350px !important;
    object-fit: cover !important;
    object-position: -600px center !important;
    display: block !important;
  }

  /* Pattern - pattern-hm-bg-text-right */
  .body.page-is-home .pattern-hm-bg-text-right.app-pattern-sec-home-index-connect .wp-block-image img {
    object-position: 46% center !important;
  }

  body.page-is-home .pattern-hm-bg-text-right .app-content p {
   width: 90%;
   font-size: 1.25rem !important;
   line-height: 1.5rem !important;
  }

}

@media (max-width: 576px) {
  body.page-is-home .pattern-hm-bg-text-right.app-pattern-sec-home-index-connect .wp-block-image img {
    object-position: 46% center !important;
  }
}